View Issue Details

IDProjectCategoryView StatusLast Update
0002996OXID eShop (all versions)5. ------ UpdateApp / Update ------public2015-08-06 13:08
Reporterleofonic 
PriorityhighSeveritycriticalReproducibilityalways
Status resolvedResolutionfixed 
Product Version4.5.0 revision 34568 
Target Version4.6.7Fixed in Version4.6.1 revision 45706 
Summary0002996: UpdateApp fails on MySQL 5.5
DescriptionUpdateApp and also some update Packages use "TYPE=MyISAM", which does not work anymore on MySQL 5.5

The issue was not fully fixed in 0002470. The TYPE changed to ENGINE only in the eShop SQLs, but not in the Update SQL to version 4.5.0. As update.sql to 4.5.0 is included also in all further updates (i.e. updating to 4.5.1 at first it uses the update sql to version 4.5.0) - then need to fix this issue in all the update.sql for previous versions.
Additional InformationSee bug 0002470
TagsNo tags attached.
ThemeBoth
BrowserAll
PHP Versionany
MySQL Versionany

Relationships

related to 0002470 resolvedarvydas_vapsva Setup fails on MySQL 5.5 

Activities

leofonic

2011-08-11 09:35

reporter   ~0004985

Still present in 450 to 451

svetlana

2011-08-11 10:31

reporter   ~0004988

@developers: please investigate it

Linas Kukulskis

2011-08-11 13:49

reporter   ~0004994

type changed to engine in all update scripts since 4.0.0 version

Linas Kukulskis

2011-08-12 10:18

reporter   ~0005006

update engine script has the same problem

Linas Kukulskis

2011-08-12 10:19

reporter   ~0005007

changed in update script app

leofonic

2011-12-18 17:26

reporter   ~0005506

There is still TYPE=MyISAM in udpateTracker.php of some of the Update packages, e.g. 4.4.6 to 4.4.8.

Linas Kukulskis

2011-12-19 15:34

reporter   ~0005513

in 1.sql update script changed TYPE = to ENGINE

Stefan_Werner

2012-01-20 16:28

reporter   ~0005612

also happens with efire modules for example efiHeidelpay

dainius.bigelis

2012-04-23 21:19

reporter   ~0006410

Still found TYPE=MyISAM in the creditpass files "oxid2creditPass.sql", also moduleInfo.php (testdata).
Please entire repository for files, containing this text.

Linas Kukulskis

2012-04-24 15:53

reporter   ~0006438

fixed in creditpass

leofonic

2012-07-31 17:42

reporter   ~0007171

There is still TYPE=MyISAM in many of the update packages in update engines and also in update files.

dainius.bigelis

2012-08-01 11:32

reporter   ~0007182

Reminder sent to: leofonic

Hi,

Could you please tell exact package name, where you found TYPE=MyISAM in any place?

Best regards,

leofonic

2012-08-01 12:41

reporter   ~0007192

there was a problem with update: http://forum.oxid-esales.com/showthread.php?t=15553
so i looked into some packages:
PATCH_OXID_ESHOP_CE_V.4.4.6_32697_TO_V.4.4.8_34028: updateTracker.php
UPDATE_OXID_ESHOP_CE_V.4.0.1.0_15990_TO_V.4.4.8_34028: updateTracker.php, 15990.sql, 27884.sql
UPDATE_OXID_ESHOP_CE_V.4.3.2_27884_TO_V.4.4.8_34028: updateTracker.php, 27884.sql
The other packages i didn't look into.

ray

2012-10-15 17:05

reporter   ~0007618

bug is still present and prevents updating with cumulative packs

leofonic

2013-04-12 10:26

reporter   ~0008601

Why is this marked "resolved"?

svetlana

2013-04-15 13:18

reporter   ~0008605

All old CuPs for updating to eShop 4.4.8 was regenerated. Files are available upon request from support.

leofonic

2013-04-16 10:51

reporter   ~0008613

Sorry for reopening, but Priority:high, Severity:critical, and then only "available upon request from support"? Why no fix in the downloadable update packages?

leofonic

2013-11-18 15:06

reporter   ~0009278

The bug is still present in all updates to 4.4.8. If you won't fix this please leave a note.

svetlana

2013-11-20 14:34

reporter   ~0009284

For CE cumulative update packages to 4.4.8 the problem present in these three files, which I atached to this bug.
    updateApp/core/updateTracker.php
    15990.sql
    27884.sql
Please change them manually before updating to 4.8.8

svetlana

2013-11-20 14:36

reporter  

sql.rar (8,358 bytes)